<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php print $language->language ?>" lang="<?php print $language->language ?>" dir="<?php print $language->dir ?>">

<head>
  <?php print $head ?>
  <title><?php print $head_title ?></title>
  <?php print $styles ?>
  <?php print $scripts ?>
</head>

<body<?php p_select($html_elements, '#attributes') ?>>

  <div id="site-header-row">
    <div id="site-header" class="container-16 clearfix">

        <?php if ($logo_img || $site_name || $site_slogan): ?>
        <div id="site-branding" class="grid-5">
          <?php if ($logo_img || $site_name): ?>
          <h2 id="brand-id">
            <a href="<?php print $front_page ?>" title="<?php print t('Home') ?>" rel="home">
              <?php print $logo_img // img.logo ?>
              <?php if ($site_name): ?><span class="site-name"><?php print $site_name ?></span><?php endif ?>
            </a>
          </h2>
          <?php endif ?>

          <?php if ($site_slogan): ?>
          <p class="site-slogan">
            <?php print $site_slogan ?>
          </p>
          <?php endif ?>
        </div>
        <?php endif ?>


        <?php if ($secondary_links): ?>
        <div id="secondary-navigation" class="grid-11">
          <?php print theme('links', $secondary_links, array('class' => 'navigation secondary links'))
            // ul.navigation.secondary.links > li.menu-ID[.first|.last] > a[.active] ?>
        </div>
        <?php endif ?>

        <?php if ($search_box): ?>
        <div id="search-box" class="grid-11">
          <?php print $search_box
            // form#search-theme-form > div > ... ?>
        </div>
        <?php endif ?>

        <?php if ($primary_links): ?>
        <div id="primary-navigation" class="grid-16">
          <?php print theme('links', $primary_links, array('class' => 'navigation primary links'))
            // ul.navigation.primary.links > li.menu-ID[.first|.last] > a[.active] ?>
        </div>
        <?php endif ?>

    </div>
  </div><!-- #site-header/wrap -->


  <div id="dashboard-row">
    <?php if ($dashboard): ?>
    <div id="dashboard" class="container-16 clearfix">
      <?php print $dashboard
        // div#blocks-dashboard > div#block-ID.block.block-MODULE ?>
    </div>
    <?php endif ?>
  </div><!-- #dashboard/wrap -->


  <div id="page-row">
    <div id="page" class="container-16 clearfix">

      <?php print $header
        // Must add it's own grid classes.
        // div#blocks-header.blocks > div#block-ID.block.block-MODULE ?>

      <?php if ($messages): ?>
      <div id="status-message" class="grid-16">
        <?php print $messages
          // div.status-messages > ul.messages[.status|.error] > li.message ?>
      </div>
      <?php endif ?>

      <?php if ($mission): ?>
      <div id ="site-mission" class="grid-16">
        <?php print $mission ?>
      </div>
      <?php endif ?>


      <div id="content" class="<?php nsp('grid-16', $sidebar, 6) . nsp(' push-6', !$sidebar, 6) ?>">

        <?php if ($title || $tabs || $help): ?>
        <div id='content-header'>
<?php print $breadcrumb; ?>
          <?php if ($title): ?>
          <h1 class="page-title title">
            <?php print $title ?>
          </h1>
          <?php endif ?>

          <?php print $tabs
            // ul.tabs[.primary|.secondary] > li > a[.active] ?>

          <?php print $help
            // div.help > p[.more-help-link] ?>

        </div>
        <?php endif ?>


        <?php print $content
          // CONTENT
          // div#blocks-content.blocks > div#block-ID.block.block-MODULE ?>

        <?php print $feed_icons
          // a.feed-icon > img ?>

      </div>


      <?php if ($sidebar): ?>
      <div id="sidebar" class="grid-5 suffix-1 pull-10">
        <?php print $sidebar
          // div#blocks-sidebar.blocks > div#block-ID.block.block-MODULE ?>
      </div>
      <?php endif ?>

    </div>
  </div><!-- #page/wrap -->


  <div id="footer-row">
    <div id="footer" class="container-16 clearfix">

      <?php print $footer
        // Must add it's own grid classes.
        // div#blocks-footer.blocks > div#block-ID.block.block-MODULE ?>

      <?php if ($footer_message): ?>
      <div id="footer-message" class="grid-16">
        <?php print $footer_message ?>
      </div>
      <?php endif ?>

    </div>
  </div><!-- #footer/wrap -->

  <?php print $closure ?>
</body>
</html>
