<?php

/**
 * Phase 2 block region preprocessor.
 */
function hex_preprocess_blocks(&$vars) {

  if (!isset($vars['content'])) {
    $vars['content'] = '';
  }

  // ignore_region can be used to prevent loading of the region.
  if (empty($vars['ignore_region'])) {
    if ($list = block_list($vars['region'])) {
      foreach ($list as $key => $block) {
        // Group into an array for more flexible theming.
        // $key == <i>module</i>_<i>delta</i>
        $vars['content'] .= theme('block', $block);
      }
    }
    // Add any content assigned to this region through drupal_set_content() calls.
    $vars['content'] .= drupal_get_content($vars['region']);
  }

  $vars['id_attribute'] = 'blocks-' . $vars['region'];
  $vars['template_files'][] = 'blocks-' . $vars['region'];
}
