<?php

/**
 * Handle color.module support.
 */
function color_module_re_process_page(&$variables) {

  // Hook into color.module
  if (module_exists('color')) {
    if (hex_plugin_exists('smarter_styles')) {

      // Get paths to color.module generated styles.
      $color_paths = array();
      foreach (variable_get('color_' . hex_active_theme() . '_stylesheets', array()) as $color_path) {
        $color_paths[basename($color_path)] = $color_path;
      }
      $variables['css_replace'] = $color_paths;

      // Override logo.
      $logo = variable_get('color_' . hex_active_theme() . '_logo', NULL);
      if ($logo && $variables['logo'] && preg_match('!' . hex_active_theme() . '/logo.png$!', $variables['logo'])) {
        $variables['logo'] = base_path() . $logo;
      }

    }
    else {
      _color_page_alter($variables);
    }
  }

}
