<?php

/**
 * Implementation of HOOK_preprocess_alter(). A hexagon supplied hook.
 */
function context_module_registry_preprocess_alter(&$preprocess, $info) {
  // Add in 'context_compatibility_preprocess_blocks' before 'hex_preprocess_blocks'.
  if ($info->hook == 'blocks' && ($search = array_search('hex_preprocess_blocks', $preprocess)) !== FALSE) {
    array_splice($preprocess, $search, 0, 'context_compatibility_preprocess_blocks');
  }
}

/**
 * Handles block region output for context compatibility.
 */
function context_compatibility_preprocess_blocks(&$variables) {
  // Ensure the module is enabled. Enabling or disabling doesn't clear
  // the theme registry.
  if (module_exists('context')) {
    if ($plugin = context_get_plugin('reaction', 'block')) {
      $variables['content'] = $plugin->execute($variables['region']);
    }
    // Flag to disable the region since Context is handling it.
    $variables['ignore_region'] = TRUE;
  }
}
