
/**
 * fxAccordion based on fxTabs which is based on Accessible Tabs.
 */

jQuery.fn.fxAccordion = function(p) {
  p = jQuery.extend({
    activate: null, // The accordion item to show on page load. Use a numeric position starting at 0 or a html ID pointing to the
                    // header, content or the immediat parent without the hash. Setting this to null will restore the previous state.

    applyClass:         'fx-accordion', // Classname to apply to the passed object. Use as a contextual CSS selector for styling.
    currentClass:       'fx-active',    // Classname to apply to the expanded accordion header and content.
    headerClass:        'fx-header',    // Classname to apply to the accordion header.
    contentClass:       'fx-content',   // Classname to apply to the content body.

    headerSelect:  '.block-title',    // Query Selector of the header.
    contentSelect: '.block-content',  // Query Selector of the body.

    fxspeed: 'normal',  // speed (String|Number): "slow", "normal", or "fast") or the number of milliseconds to run the animation.

    currentFocusText: ': in current focus', // text to indicate for screenreaders on which accordion is in focus.

    highlightTrigger: '.active, .active-trail, .active-menu', // Query Selector to trigger the next option when there's a match in the content.
    highlightClass:   'page-active'         // Classname to apply to the head and body.
  },p);

  var b = $('body');
  var c = $(this).addClass(p.applyClass);

  var accordionId = $(this).attr('id');
  var activateId = null;
  var initVis = -1;

  if (p.activate == null) {
    activateId = $.cookie('fxAccordion:'+accordionId);
  }
  else if (typeof(p.activate) == 'number') {
    initVis = p.activate;
  }
  else if (typeof(p.activate) == 'string') {
    activateId = p.activate;
  }

  var idIndex  = [];
  var contentAnchors = [];

  $(c).find(p.headerSelect).each(function(i){
    var headerId  = $(this).attr('id');
    var contentMatch = $(p.contentSelect, c).eq(i);
    var contentAnchor   = 'accessibleaccordioncontent'+ new Date().getTime();

    contentAnchors.push(contentAnchor);

    if (headerId) {
      idIndex.push(headerId);
    }
    else if (contentMatch.attr('id')) {
      idIndex.push(contentMatch.attr('id'));
    }
    else if ($(this).parent().attr('id')) {
      idIndex.push($(this).parent().attr('id'));
    }
    else {
      idIndex.push(null);
    }

    if (idIndex[i] == activateId) {
      initVis = i;
      $(b).addClass(accordionId + '-fx-activated');
    }
    if (contentMatch.find(p.highlightTrigger).length !== 0) {
      $(this).addClass(p.highlightClass);
      contentMatch.addClass(p.highlightClass);
    }

    $(this).addClass(p.headerClass).wrapInner('<a href="#'+contentAnchor+'"></a>');
    contentMatch.addClass(p.contentClass);
  });

  $(c).find(p.headerSelect).eq(initVis).addClass(p.currentClass);
  $(c).find(p.contentSelect+':not(:eq('+initVis+'))').hide();
  $(c).find(p.contentSelect).eq(initVis).addClass(p.currentClass)
    .prepend('<span class="accessibleaccordionindicator"><a tabindex="0" name="'+contentAnchors[initVis]+'" id="'+contentAnchors[initVis]+'">'+$(c).find(p.headerSelect).eq(initVis).text()+p.currentFocusText+'</a></span>');

  $(c).find(p.headerSelect+'>a').each(function(i){
    $(this).click(function(event){
      event.preventDefault();

      $(c).find(p.contentSelect+' span.accessibleaccordionindicator').remove();

      if ($(this).parent().filter('.'+p.currentClass).length === 0) {
        $(c).find('.'+p.currentClass).removeClass(p.currentClass).filter(p.contentSelect+':visible').slideToggle(p.fxspeed);
        $(p.contentSelect, c).eq(i).prepend('<span class="accessibleaccordionindicator"><a tabindex="0" name="'+contentAnchors[i]+'" id="'+contentAnchors[i]+'">'+$(c).find(p.headerSelect).eq(i).text()+p.currentFocusText+'</a></span>');
        $(b).addClass(accordionId + '-fx-activated');
        $.cookie('fxAccordion:'+accordionId, idIndex[i], { expires: 3, path: '/'});
      }
      else {
        $(b).removeClass(accordionId + '-fx-activated');
        $.cookie('fxAccordion:'+accordionId, null, { path: '/'});
      }

      $(this).parent().toggleClass(p.currentClass);
      $(b).addClass(accordionId + '-in-transition');

      $(p.contentSelect, c).eq(i).toggleClass(p.currentClass).slideToggle(p.fxspeed, function() {
        if ($(p.contentSelect, c).eq(i).queue('fx').length === 0) {
          $(b).removeClass(accordionId + '-in-transition');
        }
      });
      
      $('#'+contentAnchors[i]).focus();
    });
  });

  return this;
}
