<?php

/**
 * General use wrapper for other theming hooks. Sub-themes or plug-ins can
 * supply alternate versions with a pattern prefix of "wrapper--HOOK.tpl.php"
 * when implementing as a template or "THEME_NAME_wrapper__HOOK()" when
 * implementing as a theme function.
 * 
 * To trigger it's usage, $variables['wrap_output'] must be set to TRUE. The
 * a default of "wrapper__HOOK" is called but more can be set with the
 * following variable keys:
 * 
 * - $variables['wrapper_suggestions']
 *   This is an array and works in a similar way to setting template naming
 *   suggestions.
 * 
 * - $variables['wrapper_suggestion']
 *   This is a string and takes precedence when a match is found.
 * 
 * @see http://drupal.org/node/223440
 *   More info about template naming suggestions.
 * 
 * When adding custom suggestions, it will look for the 'wrapper' prefix + the
 * suggested name. For example, adding in 'foo', it will look for 'wrapper__foo'.
 * All you need to do is create a template named 'wrapper--foo.tpl.php' or
 * 'THEME_NAME_wrapper__foo()' depending on how you want to implement it. The
 * default fallback will be this file.
 */
?>
<div<?php print_select($html_elements, '#attributes') ?>>
  <?php print $content ?>
</div>
